#define MORE_ALIENS
#define MORE_FLAGSHIPS
#if defined(MORE_ALIENS)
#define VERSION "1.6d"
#else /* defined(MORE_ALIENS)*/
#define VERSION "1.6c"
#endif /* defined(MORE_ALIENS)*/

#if !defined(MORE_ALIENS)
#define MAXTORPS 10
#define MAX_TIMES_TORPS_CAN_WRAP 4
#else /* !defined(MORE_ALIENS)*/
#define MAXTORPS 200
#define MAX_TIMES_TORPS_CAN_WRAP 16
#endif /* !defined(MORE_ALIENS)*/
#define MINTORPS 3
#define TORPSPEED 18
/*#define CLUSTERSPEED 10*/

#define ETORPSPEED 5
#define ETORP_MISS 200

#define MINSPEED 4
#define MAXSPEED 15

#define TORPDELAY 5

#define WINWIDTH 400
#define WINHEIGHT 500
#define WRAP_DELTA 20

#define SPACE_X_MAX (WINWIDTH+WRAP_DELTA)
#define SPACE_X_MIN (-WRAP_DELTA)
#define SPACE_Y_MAX (WINHEIGHT+WRAP_DELTA)
#define SPACE_Y_MIN (-WRAP_DELTA)

#define NUMSTARS 30

#if !defined(MORE_ALIENS)
#define MAXALIENS 60
#else /*!defined(MORE_ALIENS)*/
#define MAXALIENS 240
#define ENTRY_DEFINED_ALIENS 60
#endif /* !defined(MORE_ALIENS) */

#define TURNSPEED 10

#define UTIMER 33333

#define START_NEXT_BONUS 20000
#define BONUSSHIPSCORE 50000
#define START_SHIPS 2

#define ABS(a)			/* abs(a) */ (((a) < 0) ? -(a) : (a))

#define LEFTKEY    0x01
#define RIGHTKEY   0x02
#define UPKEY      0x04
#define DOWNKEY    0x08
#define FIREKEY    0x10
/*#define CLUSTERKEY 0x20*/

#define FIRE_UP_KEY    0x020
#define FIRE_DOWN_KEY  0x040
#define FIRE_LEFT_KEY  0x080
#define FIRE_RIGHT_KEY 0x100

#ifdef USE_LRAND48
#define random() lrand48()
#endif

#if defined(MORE_ALIENS)
#define PRIZECHANCE (80.0)
#else /* defined(MORE_ALIENS)*/
#define PRIZECHANCE 30
#endif /* defined(MORE_ALIENS)*/

#define TORPCHANCE 60
#define WORST_TORPCHANCE 35

#define SHIELDTIME 300
#define FLASH_TIME 50
#define MAX_DEAD_TIME 500
#define MIN_DEAD_TIME 25

#define ALIENSHAPES 17


#define ENTRY_DEFINED_ALIENS 60 
#define FLAGSHIPS_AND_GAURDS 20
#define MORE_ALIENS_PER_INC  10
#define LEVELS_PER_INC        5
#define FLAGSHIPS            10

#define FLAG_SHIP_0   30
#define FLAG_SHIP_11  31
#define GAURD_SHIP_1  20
#define GAURD_SHIP_12 21

#define DEBUG_DIR
/*
#define DEBUG_NEW_ALIEN
#define DEBUG_DO_ALIENS
#define DEBUG_DO_ENTER
#define DEBUG_ALIEN_ESCORTING
*/
/*
#define DEBUG_DO_BUBBLES
#define DEBUG_SCORE_FLAGSHIP
*/

/*#define SHOW_KEY_DOWN*/

/*#define DEBUG_COLLISION_CHECK_PLAYER*/

#define OUT_FILE stderr

#define LEFT_ARROW  'b'+128
#define RIGHT_ARROW 'f'+128

#define UP_NUM      '6'
#define DOWN_NUM    'y'
#define LEFT_NUM    't'
#define RIGHT_NUM   'u'
/*#define CLUSTER_NUM 'c'*/

#define UP_LETTER      'e'
#define DOWN_LETTER    'f'
#define LEFT_LETTER    'j'
#define RIGHT_LETTER   'i'
/*#define CLUSTER_LETTER 'n'*/







